# Interface RunArcadeExpressionParams

Parameters for the runArcadeExpression and runAsyncArcadeExpression functions.

interface RunArcadeExpressionParams {
emitErrorOnMissingVariables?: boolean;
feature?: Feature;
layer?: Layer | Sublayer;
map?: Map;
spatialReference?: SpatialReference;
vars?: Record<string, unknown>;
}

#####
Index

### Properties

emitErrorOnMissingVariables?
feature?
layer?
map?
spatialReference?
vars?

##
Properties

### `Optional` emitErrorOnMissingVariables

emitErrorOnMissingVariables?: boolean

Emit an error when the script is missing referenced variables. Defaults to 'true'.

### `Optional` feature

feature?: Feature

Optional only required when the script references the "$feature" variable.

### `Optional` layer

layer?: Layer | Sublayer

Optional only required when the script references the "$layer" or "$datastore" variable.

### `Optional` map

map?: Map

Optional only required when the script references the "$map" variable.

### `Optional` spatialReference

spatialReference?: SpatialReference

Optional only required when the script references the "$map", "$layer" or "$datastore" variables.

### `Optional` vars

vars?: Record<string, unknown>

Additional Arcade arguments to attach to the script when run.